Bug 1066 - [UPDATE REQUEST] [UPSTREAM UPDATE] util-linux-ng
: [UPDATE REQUEST] [UPSTREAM UPDATE] util-linux-ng
Status: RESOLVED FIXED
Product: Server Bugs
Classification: ROSA Server
Component: Main Packages
: unspecified
: All Linux
: Normal normal
: ---
Assigned To: Andrew Lukoshko
: ROSA Server Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-11 08:59 MSK by Andrew Lukoshko
Modified: 2013-10-23 13:30 MSD (History)
1 user (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
andrew.lukoshko: published_server+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Lukoshko 2012-11-11 08:59:32 MSK
Updated util-linux-ng from RHEL6 upstream.

Advisory:
* When the telnetd daemon was used to log in to a server, the login utility 
failed to update the /var/run/utmp file properly. Consequently, the line used
for a previous session in /var/run/utmp was not reused, thus growing the file
unnecessarily. A patch has been provided to address this issue and the login
utility now always updates /var/run/utmp as expected.
http://rhn.redhat.com/errata/RHBA-2012-1427.html

Build lists:
https://abf.rosalinux.ru/build_lists/844367
https://abf.rosalinux.ru/build_lists/844368

Install:
i686: yum install http://abf.rosalinux.ru/downloads/rosa-server2012/container/util-linux-ng-844367/RPMS/uuidd-2.17.2-12.7.1.res6.i686.rpm http://abf.rosalinux.ru/downloads/rosa-server2012/container/util-linux-ng-844367/RPMS/util-linux-ng-2.17.2-12.7.1.res6.i686.rpm http://abf.rosalinux.ru/downloads/rosa-server2012/container/util-linux-ng-844367/RPMS/libuuid-2.17.2-12.7.1.res6.i686.rpm http://abf.rosalinux.ru/downloads/rosa-server2012/container/util-linux-ng-844367/RPMS/libblkid-2.17.2-12.7.1.res6.i686.rpm

x86_64: yum install http://abf.rosalinux.ru/downloads/rosa-server2012/container/util-linux-ng-844368/RPMS/uuidd-2.17.2-12.7.1.res6.x86_64.rpm http://abf.rosalinux.ru/downloads/rosa-server2012/container/util-linux-ng-844368/RPMS/util-linux-ng-2.17.2-12.7.1.res6.x86_64.rpm http://abf.rosalinux.ru/downloads/rosa-server2012/container/util-linux-ng-844368/RPMS/libuuid-2.17.2-12.7.1.res6.x86_64.rpm http://abf.rosalinux.ru/downloads/rosa-server2012/container/util-linux-ng-844368/RPMS/libblkid-2.17.2-12.7.1.res6.x86_64.rpm

Please DON'T PUBLISH, just test.
Comment 1 Vladimir Potapov 2012-11-21 14:43:11 MSK
util-linux-ng-2.17.2-12.7.1.res6
******************** RHEL Advisory **********************
When the telnetd daemon was used to log in to a server, the login utility 
failed to update the /var/run/utmp file properly. Consequently, the line used
for a previous session in /var/run/utmp was not reused, thus growing the file
unnecessarily. A patch has been provided to address this issue and the login
utility now always updates /var/run/utmp as expected.
*********************************************************
QA Verified